Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235955 - Rhythmbox Column resizing does not follow cursor
Summary: Rhythmbox Column resizing does not follow cursor
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 01:45 UTC by Michael Wiktowy
Modified: 2009-07-14 17:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:10:42 UTC


Attachments (Terms of Use)

Description Michael Wiktowy 2007-04-11 01:45:11 UTC
Description of problem:
When you resize a column in the song list, as soon as you grab any column resize
handle except the first one, the column size jumps to much large and, other than
a vague trend, it does not follow the cursor.

Version-Release number of selected component (if applicable):
0.10.0

How reproducible:
Always

Steps to Reproduce:
1. Open rhythmbox
2. Import some songs
3. select an album so that there is a list of songs in the lower right pane
4. try to resize the 2nd through last column in any sane manner
  
Actual results:
The column sizes jump around wildly

Expected results:
The column edges should follow the cursor allowing you to resize the column to
any size.

Additional info:
This has been a bug for a long long long time. I am certain that I have reported
this in the past but maybe I just intended to as I cannot seem to find it.

Comment 1 Bastien Nocera 2007-04-11 09:35:15 UTC
It's a known upstream bug. See http://bugzilla.gnome.org/show_bug.cgi?id=316087

Comment 2 Michael Wiktowy 2007-04-16 05:43:15 UTC
There seems to be a patch listed in the gnome bugzilla entry cited in comment #1
for the GtkTreeView freakiness that is causing this. Would you consider
including it in the F7 version of gtk2 ? Or at least in rawhide to we can see if
it regresses anything.

Comment 3 Bastien Nocera 2007-04-16 07:44:29 UTC
Reassigning to gtk+ and reopening. It's not my call to add this patch...

Comment 4 Bug Zapper 2008-04-04 00:01:47 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Charles R. Anderson 2008-04-04 16:08:37 UTC
Still happens with rawhide.  This behavior is an embarrassment of UI disaster
that shouldn't be tolerated in a primary Fedora app.  I propose that we either
fix or workaround this ASAP, or replace rhythmbox with something else as the
primary music playing app that doesn't exhibit this poor behavior.  Putting on
F9Blocker.

rhythmbox-0.11.5-5.fc9.x86_64
gtk2-2.12.9-2.fc9.x86_64


Comment 6 Michael Wiktowy 2008-04-04 20:27:51 UTC
Column resizing seems to be troublesome in most gtk apps but this is a shining
example of nastiness. Most of the other apps that I have ran across just keep a
fixed amount of width on the last column causing the horizontal scroll bar to
pop up unnecessarily when resizing the window. They do resize columns normally
though. I am not sure what crazy things RB is doing.

Comment 7 Matthias Clasen 2008-04-05 03:31:44 UTC
Not even close to a blocker. 
I'm going to wait for Kris to come up with a patch that is good enough for upstream.

Comment 8 Bug Zapper 2008-05-14 02:45:36 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-06-09 22:32:34 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 17:10:42 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Charles R. Anderson 2009-07-14 17:41:24 UTC
This is fixed in Fedora 11.


Note You need to log in before you can comment on or make changes to this bug.